Bug 1008095 - Calibre is displaying errors communicating with my Android tablet [NEEDINFO]
Calibre is displaying errors communicating with my Android tablet
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 12:51 EDT by David Forrai
Modified: 2015-02-18 06:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:26:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul.destefano-redhat: needinfo?


Attachments (Terms of Use)
Output of smesg (161.50 KB, text/plain)
2013-09-18 21:06 EDT, David Forrai
no flags Details

  None (edit)
Description David Forrai 2013-09-14 12:51:57 EDT
Description of problem:
Calibre is displaying errors communicating with my Android tablet.  The first one is it reports that it can't write driveinfo.calibre.  However, this file is being written to the tablet.  So I assume the problem is reading.  This could also be a problem with libmtp, but when I installed gvfs-mtp I am able to view the tablet's file content in the file browser.  Calibre inidicates it can detect the tablet, but reports another error when trying to read the library.

Version-Release number of selected component (if applicable):
calibre-0.9.42-1.fc19 (64 bit)

How reproducible:
Every time

Steps to Reproduce:
1. Install calibre
2. Configure calibre
3. Run calibre

Actual results:
Calibre reports it detects the tablet.
Calibre reports an error message that it can't write driveinfo.calibre.
Calibre reports it can't read the device when scanning for books.

Expected results:
Calibre reads the device and lists the books installed.

Additional info:
I tried adding the package gvfs-mtp to see if this should be a dependent package.  When I did this, calibre did something on the usb connection that I had a nearly infinite opening of file windows to the tablet which I was only able to stop by closing calibre and then closing the numerous file system windows.
Comment 1 Kevin Fenzi 2013-09-14 13:43:04 EDT
So, first thing to check is to upgrade to the latest calibre from my side repo:

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre

and see if the problem persists. 

if it does, try running calibre from a terminal and attaching all the output in the terminal here and I can see if that helps track it down.
Comment 2 David Forrai 2013-09-16 21:31:01 EDT
Thank you for the clear instructions.  The behavior didn't cahnge, and he's the console output when started from the command line:

[david@dpfpc ~]$ calibre
loaded the Generic plugin 

Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): Device or resource busy
outep: usb_get_endpoint_status(): Device or resource busy
usb_clear_halt() on IN endpoint: Device or resource busy
usb_clear_halt() on OUT endpoint: Device or resource busy
usb_clear_halt() on INTERRUPT endpoint: Device or resource busy
ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=35, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=35, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=36, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=36, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=37, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=37, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=38, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=38, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=39, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=39, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=40, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=40, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=41, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=41, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=42, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=42, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=43, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=43, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=44, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=44, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=45, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=45, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=46, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=46, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such file or directory
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=47, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=47, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=48, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=48, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=49, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=49, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=50, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=50, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=51, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=51, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such file or directory
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=52, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=52, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=53, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=53, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such file or directory
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=54, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=54, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): No such device
outep: usb_get_endpoint_status(): No such device
usb_clear_halt() on IN endpoint: No such device
usb_clear_halt() on OUT endpoint: No such device
usb_clear_halt() on INTERRUPT endpoint: No such device
libusb_open() failed!: No such device
LIBMTP PANIC: Could not init USB on second attempt
Error while trying to open MTPDevice(busnum=1, devnum=55, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600') (Driver: <calibre.devices.mtp.driver.MTP_DEVICE object at 0x198acd0>)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 276, in detect_device
    dev.open(cd, self.current_library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 122, in open
    BASE.open(self, device, library_uuid)
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 195, in open
    connected_device, as_unicode(e)))
OpenFailed: Failed to open MTPDevice(busnum=1, devnum=55, vendor_id=8320, product_id=5, bcd=534, serial=u'3032910019994303', manufacturer=u'BN LLC', product=u'BNTV600'): Error: Unable to open raw device.
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 897, in closeEvent
    self.shutdown(write_settings=False)
  File "/usr/lib64/calibre/calibre/gui2/ui.py", line 840, in shutdown
    if self.update_checker:
AttributeError: 'Main' object has no attribute 'update_checker'
Comment 3 Kevin Fenzi 2013-09-16 23:13:55 EDT
ok, interesting. 

Do you have gphoto2 installed? Does a ' gvfs-mount -s gphoto2' help any? Or 'pkill gfvs-gphoto2-volume-monitor' ?

Also, can you attach the output of 'dmesg' ? It might be something (your desktop) is mounting the device and it needs to be ejected/umounted before you can talk to it via mtp.
Comment 4 David Forrai 2013-09-18 21:06:27 EDT
Created attachment 799647 [details]
Output of smesg
Comment 5 David Forrai 2013-09-18 21:09:25 EDT
I do not have gphoto2 installed.  I tried unmounting the dveice and running calibre.  I didn't get the multiple window opens but did get this on thew console:

[david@dpfpc ~]$ calibre
loaded the Generic plugin 

Device 0 (VID=2080 and PID=0005) is a Barnes&Noble Nook HD+.
Android device detected, assigning default bug flags
Failed to upload file named: driveinfo.calibre to (u'SD Card',): 2:PTP Layer error 2002: send_file_object_info(): Could not send object info.
2:Error 2002: PTP: General Error

Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 85, in run
    self.result = self.func(*self.args, **self.kwargs)
  File "/usr/lib64/calibre/calibre/gui2/device.py", line 476, in _books
    mainlist = self.device.books(oncard=None, end_session=False)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 207, in books
    self.get_driveinfo()  # Ensure driveinfo is loaded
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 179, in get_driveinfo
    self._update_drive_info(self.filesystem_cache.storage(sid), location_code)
  File "/usr/lib64/calibre/calibre/devices/mtp/driver.py", line 169, in _update_drive_info
    self.put_file(storage, self.DRIVEINFO, BytesIO(raw), len(raw))
  File "/usr/lib64/calibre/calibre/devices/mtp/base.py", line 23, in synchronizer
    return func(self, *args, **kwargs)
  File "/usr/lib64/calibre/calibre/devices/mtp/unix/driver.py", line 354, in put_file
    %(name, parent.full_path, self.format_errorstack(errs)))
DeviceError: Failed to upload file named: driveinfo.calibre to (u'SD Card',): 2:PTP Layer error 2002: send_file_object_info(): Could not send object info.
2:Error 2002: PTP: General Error

I also uploaded the output of dmesg in a file to avoid a montrously long post.
Comment 6 Kevin Fenzi 2013-09-29 13:33:08 EDT
Adding the libmtp maintainer here for comment. Perhaps he will have some ideas...
Comment 7 Paul DeStefano 2014-08-20 12:58:43 EDT
David, did you ever get this resolved?  I have this problem now in F20 with calibre-1.39.0-2.fc20.x86_64

Oddly, I didn't have this problem in F19 eight months ago; calibre worked fine with the same device.  Now, it doesn't work.
Comment 8 Paul DeStefano 2014-08-21 14:08:25 EDT
Calibre developer answered my question. In my case, this message was caused by some filesystem error on the SD-card in the Android tablet.  I mounted it directly and it seems to be better now, I'm not getting errors.  If the errors come back, I'll format the SD-card.
Comment 9 Paul DeStefano 2014-08-23 13:25:26 EDT
Well, the error persists.  I've reformatted the SD-card twice, once with the tablet and once manually with mkdosfs.  The error occurs immediately when attaching tablet device with SD-card mounted.

This is supposed to work in "media device" mode, right?
Comment 10 Fedora End Of Life 2015-01-09 17:18:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 06:26:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.